<template>
  <q-page class="row flex column text-h3">
    <div class="flex">
      <q-btn to="/artist" class="" flat>
        <img src="../statics/arrow_back.png" alt="Back">
      </q-btn>
      <div style="font-size: 20px;line-height: 24px;">Коллекция “Грехи”</div>
    </div>
    <div class="flex q-ml-xl">
      <q-img class="avatar-icon"
             width="50px"
             height="50px"
             src="../statics/ava2.png" alt="Artist icon"/>
      <p class="avatar-name">Да, я рисую</p>
    </div>
    <section class="fit row flex column">
      <div class="collections-block flex fit justify-center row ">
        <artist-card v-for="c in 1" :key="c" :large="true"></artist-card>
        <artist-card v-for="c in 1" :key="c" :large="false"></artist-card>
      </div>
      <div class="products-block flex fit justify-center row">
        <artist-card v-for="c in 3" :key="c" :large="false"></artist-card>
      </div>
      <div class="q-mt-md q-ml-md" style="font-weight: 600; font-size: 18px; line-height: 22px;">Другие работы Да, я рисую</div>
      <div class="products-block flex fit justify-center row">
        <artist-card v-for="c in 4" :key="c" :large="false"></artist-card>
      </div>
    </section>
  </q-page>
</template>

<script>
import artistCard from '../components/Artist/card'
export default {
  name: 'Collection',
  data () {
    return {
      sortBy: 'По популярности',
      sortOptions: [
        'По популярности', 'По рейтингу', 'По возрастанию цены', 'По убыванию цены'
      ]
    }
  },
  components: {
    artistCard
  }
}
</script>

<style lang="sass">
  .header
    position: relative
    display: flex
    height: 220px
    width: 100%
    background-color: transparent
    & img
      width: 100%
      height: 100%
    &::after
      content: ''
      position: absolute
      z-index: 10
      bottom: 0
      left: 0
      right: 0
      height: 50%
      background: linear-gradient(180deg, rgba(29, 28, 28, 0) 1.56%, #1D1C1C 76.56%)
  .info
    position: absolute
    display: flex
    bottom: 24px
    z-index: 100
    height: 50px
  .avatar
    display: flex
    align-items: center
    &-icon
      width: 100%
      margin: 0 16px
    &-name
      color: #000
      margin: 0
      font-style: normal
      font-weight: 600
      font-size: 24px
      line-height: 29px
  .back-button
    height: 100%
    padding: 0
    & .q-btn__wrapper
      padding: 0
  .sort-block
    display: flex
    align-items: center
  .order-block
    display: flex
    flex-direction: row
    justify-content: space-between
    align-items: center
    margin-top: 32px
    & .order-descr
      margin: 0
      display: flex
      font-style: normal
      font-weight: 600
      font-size: 14px
      line-height: 17px
    & .order-button
      min-height: 50px
      min-width: 200px
      background: linear-gradient(282.69deg, #8720D9 8.64%, #E10E5A 100%)
      color: #fff
      font-style: normal
      font-weight: 600
      font-size: 14px
      line-height: 17px
      cursor: pointer
  .product-info p
    font-style: normal
    font-weight: 300
    font-size: 14px
    line-height: 17px
</style>
